com.genesyslab.wfm8.API.service.RTA810

## Class ItemSiteIDStruct

- java.lang.Object
- - com.genesyslab.wfm8.API.service.RTA810.ItemSiteIDStruct

- All Implemented Interfaces:
    java.io.Serializable

      public class ItemSiteIDStruct
      extends java.lang.Object
      implements java.io.Serializable

  Contains site IDs.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `id`
    `private static long` | `serialVersionUID`
    `protected int` | `siteID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemSiteIDStruct()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getId()` Gets the value of the id property.
    `int` | `getSiteID()` Gets the value of the siteID property.
    `int` | `hashCode()`
    `void` | `setId(int value)` Sets the value of the id property.
    `void` | `setSiteID(int value)` Sets the value of the siteID property.
    `java.lang.String` | `toString()`
    `ItemSiteIDStruct` | `withId(int value)`
    `ItemSiteIDStruct` | `withSiteID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### siteID

          protected int siteID

    - #### id

          protected int id

  - ### Constructor Detail

    - #### ItemSiteIDStruct

          public ItemSiteIDStruct()

  - ### Method Detail

    - #### getSiteID

          public int getSiteID()

      Gets the value of the siteID property.

    - #### setSiteID

          public void setSiteID(int value)

      Sets the value of the siteID property.

    - #### getId

          public int getId()

      Gets the value of the id property.

    - #### setId

          public void setId(int value)

      Sets the value of the id property.

    - #### withSiteID

          public ItemSiteIDStruct withSiteID(int value)

    - #### withId

          public ItemSiteIDStruct withId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.